extern DRIVER imapdriver;
extern DRIVER nntpdriver;
extern DRIVER pop3driver;
extern DRIVER mhdriver;
extern DRIVER mbxdriver;
extern DRIVER mtxdriver;
extern DRIVER tenexdriver;
extern DRIVER unixdriver;
extern DRIVER newsdriver;
extern DRIVER dummydriver;
extern AUTHENTICATOR auth_md5;
extern AUTHENTICATOR auth_log;
#define DEFAULTPROTO mbxproto

#ifdef USE_SSL

extern AUTHENTICATOR auth_snt;

void ssl_onceonlyinit (void);
extern int ssl_getchar (void);
extern char *ssl_gets (char *s,int n);
extern int ssl_putchar (int c);
extern int ssl_puts (char *s);
extern int ssl_flush (void);
extern char *ssl_start_tls (char *s);
#undef PBIN
#define PBIN ssl_getchar
#undef PSIN
#define PSIN(s,n) ssl_gets (s,n)
#undef PBOUT
#define PBOUT(c) ssl_putchar (c)
#undef PSOUT
#define PSOUT(s) ssl_puts (s)
#undef PFLUSH
#define PFLUSH ssl_flush ()
#define IMAPSPECIALCAP "STARTTLS"
#define POP3SPECIALCAP "STLS"
#define SPECIALCAP(s) ssl_start_tls (s)

#endif /* USE_SSL */
